package com.loafle.overflow.central.module.member.dao;

import com.loafle.overflow.model.member.Member;
import com.loafle.overflow.model.member.MemberTotp;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Created by geek on 18. 3. 8.
 */
@Repository
public interface MemberTotpDAO extends JpaRepository<MemberTotp, Long> {
    @Query("select m from MemberTotp m WHERE m.secretCode = :secretCode")
    MemberTotp findBySecretCode(@Param("secretCode") String secretCode);

    MemberTotp findByMember(Member member);
}
