package com.loafle.overflow.central.module.probe.dao;

import java.util.List;

import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.probe.Probe;
import com.loafle.overflow.model.probe.ProbeHost;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;


/**
 * Created by snoop on 17. 8. 21.
 */
@Repository
public interface ProbeHostDAO extends JpaRepository<ProbeHost, Long> {
    ProbeHost findByProbe(Probe probe);

    @Query("SELECT h FROM ProbeHost h WHERE h.probe.domain = (:domain)")
    List<ProbeHost> findAllByDomain(@Param("domain")Domain domain);
}
