package com.loafle.overflow.central.commons.utils;

/**
 * Created by snoop on 17. 8. 23.
 */
public class StringConvertor {

    public static String intToIp(long i) {
        return ((i >> 24 ) & 0xFF) + "." +
                ((i >> 16 ) & 0xFF) + "." +
                ((i >>  8 ) & 0xFF) + "." +
                ( i        & 0xFF);
    }


    public static long ipToLong(String ipAddress) {

        String[] ipAddressInArray = ipAddress.split("\\.");

        long result = 0;
        for (int i = 0; i < ipAddressInArray.length; i++) {

            int power = 3 - i;
            int ip = Integer.parseInt(ipAddressInArray[i]);
            result += ip * Math.pow(256, power);

        }

        return result;
    }


    //  https://github.com/Sovietaced/floodlight/blob/master/src/main/java/net/floodlightcontroller/util/MACAddress.java

    public static final int MAC_ADDRESS_LENGTH = 6;

    public static long macStrToLong(String address) {
        String[] elements = address.split(":");
        if (elements.length != MAC_ADDRESS_LENGTH) {
            throw new IllegalArgumentException(
                    "Specified MAC Address must contain 12 hex digits" +
                            " separated pairwise by :'s.");
        }

        byte[] addressInBytes = new byte[MAC_ADDRESS_LENGTH];
        for (int i = 0; i < MAC_ADDRESS_LENGTH; i++) {
            String element = elements[i];
            addressInBytes[i] = (byte)Integer.parseInt(element, 16);
        }

        long mac = 0;
        for (int i = 0; i < 6; i++) {
            long t = (addressInBytes[i] & 0xffL) << ((5 - i) * 8);
            mac |= t;
        }
        return mac;

//        return new MACAddress(addressInBytes);
    }

}
