package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraOSDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraOS;
import com.loafle.overflow.service.central.infra.InfraOSService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraOSService")
public class CentralInfraOSService implements InfraOSService {
    @Autowired
    InfraOSDAO infraOSDAO;

    public InfraOS regist(InfraOS infraOS) throws OverflowException {
        return this.infraOSDAO.save(infraOS);
    }

    public InfraOS read(long id) throws OverflowException {
        return this.infraOSDAO.findOne(id);
    }
}
